%ifnarch %{ocaml_native_compiler}
%global debug_package %{nil}
%endif

%define oname ppx_variants_conv

Name:           ocaml-%{oname}
Epoch:          1
Version:        0.17.0
Release:        %mkrel 2
Summary:        Generation of accessor and iteration functions for ocaml variant types
Group:          Development/OCaml
License:        ASL 2.0
URL:            https://github.com/janestreet/ppx_variants_conv
VCS:            git:%{url}.git
Source:         %{url}/archive/v%{version}/%{oname}-%{version}.tar.gz

BuildRequires:  ocaml >= 4.08
BuildRequires:  ocaml-base-devel >= 0.17
BuildRequires:  ocaml-dune >= 3.11.0
BuildRequires:  ocaml-ppxlib-devel >= 0.28.0
BuildRequires:  ocaml-ppx_inline_test-devel
BuildRequires:  ocaml-variantslib-devel >= 0.17

Requires:       ocaml-variantslib

%description
Ppx_variants_conv is a ppx rewriter that can be used to define
first-class values representing variant constructors, and additional
routines to fold, iterate and map over all constructors of a variant
type.  It provides corresponding functionality for variant types as
ppx_fields_conv provides for record types.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       ocaml-base-devel%{?_isa}
Requires:       ocaml-ppxlib-devel%{?_isa}
Requires:       ocaml-variantslib-devel%{?_isa}

%description    devel
The %{name}-devel package contains libraries and signature
files for developing applications that use %{name}.

%prep
%autosetup -n %{oname}-%{version} -p1

%build
%dune_build

%install
%dune_install

%check
%dune_check

%files -f .ofiles
%doc CHANGES.md README.md
%license LICENSE.md

%files devel -f .ofiles-devel


%changelog
* Sat Jun 21 2025 daviddavid <daviddavid> 1:0.17.0-2.mga10
+ Revision: 2193619
- rebuild against current ocaml 5.3.0 stack

* Sat Jun 21 2025 daviddavid <daviddavid> 1:0.17.0-1.mga10
+ Revision: 2193359
- new version: 0.17.0

* Sun Dec 11 2022 pterjan <pterjan> 1:0.15.0-4.mga9
+ Revision: 1920629
- Rebuild for new ppxlib

* Sat Oct 15 2022 neoclust <neoclust> 1:0.15.0-3.mga9
+ Revision: 1897016
- Rebuild against new ocaml-base

* Thu May 19 2022 pterjan <pterjan> 1:0.15.0-2.mga9
+ Revision: 1859302
- Rebuild for OCaml 4.14

* Fri May 13 2022 pterjan <pterjan> 1:0.15.0-1.mga9
+ Revision: 1857942
- Update to 0.15.0

* Wed Oct 13 2021 tv <tv> 1:0.14.1-2.mga9
+ Revision: 1751311
- OCaml 4.13.1 build
- Add upstream -ppxlib patch

* Mon Mar 22 2021 tv <tv> 1:0.14.1-1.mga9
+ Revision: 1707291
- 0.14.1

* Sun Jan 10 2021 pterjan <pterjan> 1:0.13.0-5.mga8
+ Revision: 1670819
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1:0.13.0-4.mga8
+ Revision: 1551891
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 1:0.13.0-3.mga8
+ Revision: 1545903
- Mageia 8 Mass Rebuild

* Thu Jan 30 2020 tv <tv> 1:0.13.0-2.mga8
+ Revision: 1485508
- rebuild for new ocaml-stdio/ocaml-ppxlib

* Mon Jan 27 2020 tv <tv> 1:0.13.0-1.mga8
+ Revision: 1483887
- new release + rebuild for ocaml-4.10

* Tue Oct 23 2018 pterjan <pterjan> 1:0.11.1-1.mga7
+ Revision: 1324641
- Update to 0.11.1

* Thu Aug 30 2018 daviddavid <daviddavid> 1:0.10.0-4.mga7
+ Revision: 1255608
- rebuild for new ocaml-result 1.3

* Fri Jul 06 2018 daviddavid <daviddavid> 1:0.10.0-3.mga7
+ Revision: 1242034
- rebuild against current ocaml stack
- enable debug package as it should

* Sun Jan 14 2018 pterjan <pterjan> 1:0.10.0-2.mga7
+ Revision: 1193228
- Add missing explicit dependency

* Sun Jan 14 2018 pterjan <pterjan> 1:0.10.0-1.mga7
+ Revision: 1193195
- Update to v0.10.0
+ tv <tv>
- rebuild for new ocaml

* Wed Feb 24 2016 pterjan <pterjan> 113.24.00-2.mga6
+ Revision: 977801
- Add missing dependency

* Sun Feb 21 2016 pterjan <pterjan> 113.24.00-1.mga6
+ Revision: 975850
- imported package ocaml-ppx_variants_conv

